﻿<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="assets/css/bootstrap-responsive.css" rel="stylesheet">
@using OfficeOpenXml.FormulaParsing.Excel.Functions.Math
@model StarterProjectV2.ViewModels.AccommodationManagementViewModel
@section HEADERJS{
    @* <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script> *@
    @* $1$ <script type="text/javascript" src="http://code.jquery.com/jquery-latest.js"></script> #1# *@
    @* <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script> *@
    @* <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script> *@
    @* <link rel="stylesheet" href="http://code.jquery.com/ui/1.10.4/themes/smoothness/jquery-ui.css"> *@

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.0.2/jquery.min.js"></script>
    @* <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.10.3/jquery-ui.min.js"></script> *@
    @* <link rel="stylesheet" href="http://code.jquery.com/ui/1.10.4/themes/smoothness/jquery-ui.css"> *@
    <script src="~/Content/vendors/js/autocomplete.js"></script>
    <link href="~/Content/vendors/css/style-autocomplete.css" rel="stylesheet" />
}

@section FOOTERJS{
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
@section PAGETITLE{
    Accommodation Management
}
<!DOCTYPE html>

<body style="background-color: oldlace">
<div class="row justify-content-center ">
    <div class="card col-12">
        <div class="card-body">
            <h2 class="text-center" style="color:indianred">Income and Expense Entry</h2>
            <div class="form-group row">
                <label class="col-md-3 col-form-label" for="select1">Income and Expense Entry Date</label>
                <div class="col-md-2">
                    <input class="form-control" type="month" name="acc-date" id="acc-date" value="@Model.AccommodationDate" />
                </div>
                <div class="col-md-5">
                    <button type="submit" class="btn btn-sm btn-primary mt-1" id="search" onclick="search()">
                        <i class="fa fa-dot-circle-o"></i> Search
                    </button>
                </div>
            </div>

            <div class="form-group row" id="income-expnese">
                <label class='col-md-3 col-form-label' style="display: none" for='select1' id="room-income-label">Monthly Income</label>
                <div class='col-md-3'>
                    <input class='form-control' type='number' name='room-income' id='room-income' style="display: none" />
                </div>

                <label class='col-md-3 col-form-label' for='select1' style="display: none" id="room-expense-label">Monthly Expense</label>
                <div class='col-md-3'>
                    <input class='form-control' type='number' name='room-expense' id='room-expense' style="display: none" />
                </div>

            </div>
            <div class="form-group row" id="calculate">
                <div class="col" align="center">
                    <button id="profit-calc" class="btn btn-primary btn-large" onclick="profit_calc()" style="display: none"><i class="icon-calculator"></i> Calculate Profit</button>
                </div>
            </div>

            <div class="form-group row">
                <label class='col-md-3 col-form-label' style="display: none" for='select1' id="monthly-profit-label">Monthly Profit</label>
                <div class='col-md-3'>
                    <input class='form-control' value="" type='number' name='monthly-profit' id='monthly-profit' readonly="k" style="display: none" />
                </div>

                @*<label class='col-md-3 col-form-label' for='select1' style="display:inline-block" id="monthly-persq-feet-label">Monthly Per Square Feet Rate</label>
            <div class='col-md-3'>
                <input class='form-control' type='number' name='monthly-persq-feet' readonly="k" id='monthly-persq-feet' style="display:inline-block" />
            </div>*@
            </div>
            @* <div class="form-group row centered" style="text-align:center"> *@
            <h3 id="message" style="color: indianred; text-align: center"></h3>
            @* </div> *@
            <div class='row ml-3 mt-3 mb-4 mr-1 float-right'>
                <button type='button' class='btn btn-square btn-success' id='add-button' onclick='add()' style="display: none">Add Entry</button>
            </div>
            <div class="table-responsive-lg">
                <table id="mainTable1" data-pagination="true" class="table  table-light  table-hover" style="margin-bottom: 0">
                    <thead style="color: white; background-color:#315152">
                </table>
            </div>
            <button type="submit" class="btn btn-outline-danger mt-2 col-sm-5 col-lg-3 col-md-5 float-right" data-toggle="modal" data-target="#exampleModal" style="display: none" id="day-close" val="Day Close">Day Close</button>
        </div>
     
        <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Warning !!!!</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <label id="day-close-text"></label>
                        @* <input type="text" class="form-control" placeholder="123456" aria-label="Username" aria-describedby="basic-addon1" id="SMS-Code"> *@
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        @* <button type="button" class="btn btn-yellow" onclick="f()"> Resend The Code</button> *@
                        <button type="button" class="btn btn-red" onclick="isDayClosed()" data-dismiss="modal">Continue</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>

<script type="text/javascript">
    function profit_calc() {
        var income = $("#room-income").val();
        var expense = $("#room-expense").val();
        var num_income = Number(income);
        var num_expense = Number(expense);
        var profit = num_income - num_expense;
        if (income == "" || expense == "") {
            toastr.error('Please, enter valid numbers in income & expense fields.',
                'Error!!!!',
                {
                    closeButton: true,
                    progressBar: true,
                });
        } else {
            //alert(profit);
            document.getElementById("monthly-profit-label").style.display = 'block';
            document.getElementById("monthly-profit").style.display = 'block';
            $("#monthly-profit").val(profit);
            document.getElementById("add-button").style.display = 'block';

        }
    }
</script>


<script type="text/javascript">
    function addMultipleRow(x, result) {
        var str = "";
        if (x >= 1) {
            str += "<thead class='bg-blue' style='color:white'>";
            str += "<tr>";
            str += "<th scope='col'>Edit</th>";
            //            str += "<th scope='col'>Delete</th>";
            str += "<th scope='col'>Accommodation Id</th>";
            str += "<th scope='col'>Accommodation Month</th>";
            str += "<th scope='col'>Monthly Income</th>";
            str += "<th scope='col'>Monthly Expense</th>";
            str += "<th scope='col'>Monthly Profit</th>";
            str += "<th scope='col'>Monthly Per Square Feet Rate</th>";
            str += "</tr>";
            str += "</thead>";
        }
        for (var i = 0; i < x; i++) {
            str += "<tr>";
            str += "<td>";
            str += "<button type='button'";
            str += "class='btn btn-light'";
            str += "data-toggle='tooltip'";
            str += "data-placement='bottom'";
            str += "title='Edit'"
            str += 'onclick="editfunction(\'' + result[i].AccommodationInfoId + '\')">';
            str += "<i class='icon-notebook'></i>";
            str += "</button>";
            str += "</td>";
            //            str += "<td>";
            //            str += "<button type='button'";
            //            str += "class='btn btn-light'";
            //            str += "data-toggle='tooltip'";
            //            str += "data-placement='bottom'";
            //            str += "title='Delete'";
            //            str += 'onclick="deletefunction(\'' + result[i].AccommodationInfoId + '\')">';
            //            str += "<i class='icon-trash'>";
            //            str += "</i>";
            //            str += "</button>";
            //            str += "</td>";
            str += "<td>" + result[i].AccommodationInfoId + "</td>";
            str += "<td>" + result[i].AccommodationDate + "</td>";
            str += "<td>" + result[i].MonthlyIncome + "</td>";
            str += "<td>" + result[i].MonthlyExpense + "</td>";
            var profit = (result[i].MonthlyIncome - result[i].MonthlyExpense);
            str += "<td>" + profit + "</td>";
            str += "<td>" + result[i].MonthlyPerSquareFeetRate.toFixed(2) + "</td>";
            str += "</tr>";
        }
        $('#dtBasicExample').html(str);
    }
</script>

<script>

    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })
</script>

<script>
    function editfunction(acc_id) {
        //alert(acc_id);
        window.location.href = "/Accommodation/AccommodationEdit?AccommodationInfoId=" + acc_id;
    }
</script>

@* <script> *@
@*     function deletefunction(acc_id) { *@
@*         window.location.href = "/Accommodation/AccommodationDelete?acc_id=" + acc_id; *@
@*     } *@
@* </script> *@

<script>
    function add() {
        var total_square_feet = @Model.TotalSquareFeet;
        var myModel = {
            AccommodationDate: $("#acc-date").val(),
            MonthlyIncome: $("#room-income").val(),
            MonthlyExpense: $("#room-expense").val(),
        };
        $.ajax({
            context: this,
            type: 'post',
            url: '../Accommodation/refreshingAccommodationList/',
            data: myModel,
            success: function (result) {
                var len = result.length;
                addMultipleRow(len, result);
                if (len == 1) {
//                    //alert("Oi");
//                    document.getElementById("room-label").style.display = 'none';
//                    document.getElementById("room-no-val").style.display = 'none';
//
//                    document.getElementById("non-payment-reason-label").style.display = 'none';
//                    document.getElementById("select-reason").style.display = 'none';

                    document.getElementById("room-income-label").style.display = 'none';
                    document.getElementById("room-income").style.display = 'none';
                    //
                    document.getElementById("room-expense-label").style.display = 'none';
                    document.getElementById("room-expense").style.display = 'none';
                    //
                    document.getElementById("add-button").style.display = 'none';
                    document.getElementById("profit-calc").style.display = 'none';
                    document.getElementById("monthly-profit").style.display = 'none';
                    document.getElementById("monthly-profit-label").style.display = 'none';
                    //
//                    document.getElementById("day-close").style.display = 'none';
//                    $("#message").text("All the data have been already entried for the selected month! You can edit or delete below.");
                    //alert("Okay");
                }
            },
            error: function () {
                //error();
            }
        });
    }
</script>


<script>
    var availableTags = ["C", "D", "E"];

    //autocomplete(document.getElementById("room-no-val"), availableTags);


    $("#search").click(function () {
        var myModel = {
            acc_date: $("#acc-date").val(),
        };
        $.ajax({
            context: this,
            type: 'post',
            url: '../Accommodation/gettingAccommodationDate/',
            data: myModel,
            success: function (result) {
                //alert(result.length);
                var len = result.length;
                //alert(len);

                if (len == 1) {
                    $("#message").text("Data have been already entried for the selected month! You can edit the information for this month below.");

                    document.getElementById("room-income-label").style.display = 'none';
                    document.getElementById("room-income").style.display = 'none';
                    //
                    document.getElementById("room-expense-label").style.display = 'none';
                    document.getElementById("room-expense").style.display = 'none';
                    //
                    document.getElementById("add-button").style.display = 'none';
                    document.getElementById("profit-calc").style.display = 'none';
                    document.getElementById("monthly-profit").style.display = 'none';
                    document.getElementById("monthly-profit-label").style.display = 'none';
                    //alert("Okay");
                } else if (len == 0) {
                    //alert("len=0");
                    $("#message").text("");

                    document.getElementById("room-income-label").style.display = 'block';
                    document.getElementById("room-income").style.display = 'block';
                    //
                    document.getElementById("room-expense-label").style.display = 'block';
                    document.getElementById("room-expense").style.display = 'block';
                    //
                    //document.getElementById("add-button").style.display = 'block';
                    document.getElementById("profit-calc").style.display = 'block';
                    //document.getElementById("monthly-profit").style.display = 'block';
                    //
                    //                    document.getElementById("day-close").style.display = 'none';


                }
                addMultipleRow(len, result);
            },
            error: function () {
                //error();
            }
        });
    });
</script>

<script>
    var clicked = false;
    $("#Select").on("click", function () {
        $(".form-check-input").prop("checked", !clicked);
        clicked = !clicked;
    });



    $(document).ready(function () {
        $("#newItem").remove();

        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $('#printItem').click(function () {
            window.print();
        });

        $('#reloadItem').click(function () {
            location.reload();
        });

        $("#dashboardItem").click(function () {

        });
        $("#reportItem").remove();

    });


</script>


@* <script type="text/javascript"> *@
@*     $(document).ready(function () { *@
@*         $('#room-no-val').autocomplete({ *@
@*             source: function (request, response) { *@
@*                 jQuery.get('@Url.Action("gettingAcommodationDate", "Accommodation")', { *@
@*                     acc_date: $("#acc-date").val(), *@
@*                 }, function (data) { *@
@*                     response(data); *@
@*                 }); *@
@*             } *@
@*         }); *@
@*     }); *@
@* </script> *@

<script src="~/Content/vendors/js/jquery.min.js"></script>
<script src="~/Content/vendors/js/popper.min.js"></script>
<script src="~/Content/vendors/js/bootstrap.min.js"></script>
<script src="~/Content/vendors/js/pace.min.js"></script>
<script src="~/Content/vendors/js/toastr.min.js"></script>
<script src="~/Content/vendors/js/perfect-scrollbar.min.js"></script>
<script src="~/Content/vendors/js/coreui.min.js"></script>